Subject: coreutils: du

From: Edgar Kalkowski <[email-masked]>
Date: Mon, 2 May 2011 17:38:21 +0200

Dear coreutils team,

I have coreutils 8.11 installed on my system via Arch Linux packages and have experienced some unexpected behaviour of the "du" utility. When I execute

du -hs . .git

in a folder that contains some files and a subfolder named ".git" the output I get is

194M    .

The output I would expect is

194M    .
97M     .git

If I change the order of the arguments to read

du -hs .git .

I get the output

97M     .git
97M     .

which again is not the desired result and in fact wrong because the reported size for '.' is 97M whereas a simple `du -hs .` reveals the size of '.' as 194M. It would be great if you could fix this bug or tell me what I did wrong here. :)

Keep up your great work!

Greetings from Germany, Edgar Kalkowski